Bug 481695 - Review Request: python-TraitsBackendQt - PyQt backend for Traits and TraitsGUI
Review Request: python-TraitsBackendQt - PyQt backend for Traits and TraitsGUI
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
Depends On:
Blocks: 482216
  Show dependency treegraph
Reported: 2009-01-27 00:26 EST by Rakesh Pandit
Modified: 2009-04-13 15:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.3-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-18 02:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 00:26:12 EST
Description :
The TraitsBackendQt project contains an implementation of TraitsGUI
using PyQt. It provides Qt-based support for visualization and editing
of Traits-based objects.

SPEC: http://rakesh.fedorapeople.org/spec/python-TraitsBackendQt.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-TraitsBackendQt-3.0.3-1.fc10.src.rpm

Need for Mayavi packaging.
Comment 3 Jochen Schmitt 2009-03-10 13:43:07 EDT
+ Base name of SPEC files fit with package name
+ Package name fits with packaging guidelines
+ Package contains valid License tag
* License tag sax GPLv2 and BSD as valid OSS licenses
* License are ok for source (GPLv2) and images (BSD)
+ Package contains verbatin copies of the different licenses.
* URL tag shows to valid project homepage
+ Could downloaded tar ball from upstream via spectool -g
+ Packaged tarball matches with upstream release
(md5sum: ffebd2e9ddec6a73611f59f5699e92c6)
+ Package contains no patches
+ Package contrains no subpackages
+ Declared BuildRequires seems to be ok.
+ Local build works fine
+ Scratch build on koji works fine
+ Local install works fine
+ Local unstnstall works fine
+ Package will been built for noarch
* Rpmlint is quite on source package
+ Rpmlint is quite on binary package
+ Consistently usage of rpm macros
+ Package contains proper BuildRoot definition
+ Package contains %clean stanza
+ BuildRoot will been deleted at start of %install and %clean
+ Files has proper permissions
+ %file stanza has no duplicates
+ All files are own by the package
+ Package contains no files own by other packages.
+ Package contains proper %changelog

- egg-info directory should be deleted
Comment 5 Jochen Schmitt 2009-03-17 12:02:03 EDT
+ Egg-info directory was deleted.

*** APPROVE ***
Comment 6 Rakesh Pandit 2009-03-17 13:33:08 EDT
Thank you for quickly looking into it. ;)

New Package CVS Request
Package Name: python-TraitsBackendQt
Short Description:PyQt backend for Traits and TraitsGUI  
Owners: rakesh
Branches: F-9 F-10
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2009-03-17 23:46:04 EDT
cvs done.
Comment 8 Fedora Update System 2009-03-18 01:59:59 EDT
python-TraitsBackendQt-3.0.3-4.fc9 has been submitted as an update for Fedora 9.
Comment 9 Fedora Update System 2009-03-18 02:01:18 EDT
python-TraitsBackendQt-3.0.3-4.fc10 has been submitted as an update for Fedora 10.
Comment 10 Rakesh Pandit 2009-03-18 02:02:18 EDT
Imported and Submitted via Bidhi for stable releases.
Comment 11 Fedora Update System 2009-04-13 15:31:18 EDT
python-TraitsBackendQt-3.0.3-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-13 15:45:44 EDT
python-TraitsBackendQt-3.0.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.